commit:     61e0635fdcbb067387bf177b3cc39a4f755c7d57
Author:     Stephan Hartmann <sultan <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 26 12:10:26 2020 +0000
Commit:     Stephan Hartmann <sultan <AT> gentoo <DOT> org>
CommitDate: Thu Nov 26 12:10:38 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=61e0635f

app-crypt/veracrypt: restore init script

Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Stephan Hartmann <sultan <AT> gentoo.org>

 app-crypt/veracrypt/files/veracrypt.init | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

diff --git a/app-crypt/veracrypt/files/veracrypt.init 
b/app-crypt/veracrypt/files/veracrypt.init
new file mode 100644
index 00000000000..bbf5a97d2b6
--- /dev/null
+++ b/app-crypt/veracrypt/files/veracrypt.init
@@ -0,0 +1,17 @@
+#!/sbin/openrc-run
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+       after localmount
+       need device-mapper
+}
+
+stop() {
+       # Try to remove any dm-crypt mappings
+       if [ -x /usr/bin/veracrypt ]; then
+               ebegin "Removing veracrypt mappings"
+               ! /usr/bin/veracrypt -l > /dev/null 2>&1  || /usr/bin/veracrypt 
-d
+               eend $?
+       fi
+}

Reply via email to